!set title=Relación lineal
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=en
leftrange=-5.000000
rightrange=5.000000
author=Gang XIAO
email=xiao@unice.fr
computeanswer=no
precision=1000000

ansorder=r,r,r
varcnt=7
prevarcnt=6
postvarcnt=0
replycnt=3
choicecnt=0
conditioncnt=2
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randint 2, 10

tmp1=!randitem -1,1

val6=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 2, 10

tmp1=!randitem -1,1

val7=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 2, 10

tmp1=!randitem -1,1

val8=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 2, 10

tmp1=!randitem -1,1

val9=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 2, 10

tmp1=!randitem -1,1

val10=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 2, 10

tmp1=!randitem -1,1

val11=$[rint($(tmp0)*$(tmp1))]
replyname1=a
replygood1=?analyze 12
replyname2=b
replygood2=?analyze 13
replyname3=c
replygood3=?analyze 14
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Sean los 3 vectores del plano:	<p><center>	 v<sub>1</sub> = ($val6,$val9) ,	 v<sub>2</sub> = ($val7,$val10) ,	 v<sub>3</sub> = ($val8,$val11) ,	</center> <p>		Hallar 3 enteros a,b,c tales que	<p><center>	 a v<sub>1</sub> + b v<sub>2</sub> + c v<sub>3</sub> = 0 ,	</center> <p>	siendo los números a,b,c no todos cero.	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!ifval abs($val12)+abs($val13)+abs($val14)>0 and	abs(round($val12)-($val12))<=0 and	abs(round($val13)-($val13))<=0 and	abs(round($val14)-($val14))<=0	
 condtest1=1
!else
 condtest1=0
!endif
condname1=a,b,c son enteros y no todos cero

!ifval ($val6)*($val12)+($val7)*($val13)+($val8)*($val14)=0 y	($val9)*($val12)+($val10)*($val13)+($val11)*($val14)=0	
 condtest2=1
!else
 condtest2=0
!endif
condname2=La suma algebráica de los vectores es cero

!exit

:stat
vsavelist=6,7,8,9,10,11,12,13,14
embedcnt=0
